安装wordpress主题出现Parse error: syntax error, unexpected ‘}’ in 错误提示

使用或是安装wp主题时,前台提示Parse error: syntax error, unexpected ‘}’ in 的错误代码提示,这是大挖客户遇到的问题,通过截图可以看到,他使用的是大挖的,挖链主题。客户使用的服务器是标准的宝塔构架,可以说后面功能很完善,且操作设置很方便。大挖进入到服务器后台进入到网站-设置-php版本-调整了版本为PHP5.5。这个问题就解决了。

简单讲解一下原因,对于PHP开发人员来讲,这此段提示代码只是兼容性错误的一个判断,及对应文件的一个识别误判,我们知道对于wordpress程序来讲,最低配置的php版本为5.2但是想要正常的使用wordpress完整的功能,需要标配的php5.4以上版本,所以wordpresser在建站过程中一旦出现先去调整下php的版本设置,对于常见的虚拟云服务商都是有此功能的。

未经允许不得转载:杂烩网 » 安装wordpress主题出现Parse error: syntax error, unexpected ‘}’ in 错误提示

评论 0

#快捷签到点我#

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

置顶文章